# Class XMLAssertion

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.assertions.XMLAssertion

All Implemented Interfaces:
  `Serializable, Cloneable, Assertion, Searchable, TestElement, ThreadListener`

public class XMLAssertion extends AbstractTestElement implements Serializable, Assertion, ThreadListener
Checks if the result is a well-formed XML content using jdom

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`XMLAssertion()`

## Method Summary

Modifier and Type
Method
Description
`AssertionResult`
`getResult(SampleResult response)`
Returns the result of the Assertion.
`void`
`threadFinished()`
Called for each thread after all samples have been processed.
`void`
`threadStarted()`
Called for each thread before starting sampling.

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLAssertion

public XMLAssertion()

## Method Details

### getResult

public AssertionResult getResult(SampleResult response)
Returns the result of the Assertion. Here it checks wether the Sample took to long to be considered successful. If so an AssertionResult containing a FailureMessage will be returned. Otherwise the returned AssertionResult will reflect the success of the Sample.

Specified by:
  `getResult` in interface `Assertion`
Parameters:
  `response` - the SampleResult containing information about the Sample (duration, success, etc)
Returns:
  the AssertionResult containing the information about whether the assertion passed or failed.

### threadStarted

public void threadStarted()
Description copied from interface: `ThreadListener`
Called for each thread before starting sampling. WARNING: this is called before any Config test elements are processed, so any properties they define will not have been merged in yet.

Specified by:
  `threadStarted` in interface `ThreadListener`
See Also:
  - `JMeterThread.threadStarted()`

### threadFinished

public void threadFinished()
Description copied from interface: `ThreadListener`
Called for each thread after all samples have been processed.

Specified by:
  `threadFinished` in interface `ThreadListener`
See Also:
  - `JMeterThread.threadFinished(org.apache.jmeter.engine.event.LoopIterationListener)`